# Flow beginning pick

A decision block that lets the user choose a flow and beginning block.

The fiber will pause until the user has chosen a flow, cancelled the dialog or the timeout expired.

The resulting Flow URI can be used with the Flow start block to start another flow at the specific flow beginning block.

Note! Flow URI comes in two forms, with or without a beginning block, this block picks the former.

## Input arguments

- Timeout — time until the notification/dialog is automatically canceled, may be inaccurate as it’s affected power save features such as “doze”, default is no timeout.
- Notification channel — UUID of notification channel used for shown notification, default is the flow default or Flow.
- Show window — whether to show the dialog window directly without having to tap the notification. Requires the “appear atop of other apps or parts of the screen” privilege on Android 10+.

## Output variables

- Flow URI — variable to assign the URI of the chosen flow and beginning block.
- Flow title — variable to assign the title of the chosen flow.
- Flow description — variable to assign the description of the chosen flow.
- Beginning title — variable to assign the title of the chosen beginning block.